#******************************************************************************
#
# Restricted Rights
# WARNING: This is a restricted distribution Zeligsoft file.
#
#******************************************************************************
#
# Copyright (C) 2006 Zeligsoft Inc. - All Rights Reserved
#
#******************************************************************************
#
#     FILE: PortMakefile.mk
#
#******************************************************************************


include $(CE_ROOT)/codegen/$(TARGET)/target.mk

IDL_SOURCE = /mnt/sda2/Projects/C++/WF/IDL

IDL_INCLUDES += $(INCLUDE_SWITCH)..$(PATH_SEP)..$(PATH_SEP)lib$(PATH_SEP)$(TARGET)

CINCLUDES += $(IDL_INCLUDES) $(INCLUDE_SWITCH)..$(PATH_SEP)..$(PATH_SEP)framework $(INCLUDE_SWITCH)..$(PATH_SEP)..$(PATH_SEP)framework$(PATH_SEP)$(TARGET)

CDEFINES += 

OBJS = zceCF_DevicePortHandler$(OBJ_EXT) \
	zceCF_DeviceProvidesPort$(OBJ_EXT) \
	zceCF_DeviceUsesPort$(OBJ_EXT) 

all : $(LIB_PFX)CF_Device$(LIB_EXT) 

$(LIB_PFX)CF_Device$(LIB_EXT) : $(OBJS)
	$(AR) $(LIBFLAGS) $(LIBTRGTFILE_SWITCH)$(LIB_PFX)CF_Device$(LIB_EXT) $(OBJS)

zceCF_DevicePortHandler$(OBJ_EXT) : ..$(PATH_SEP)zceCF_DevicePortHandler.cpp ..$(PATH_SEP)zceCF_DevicePortHandler.h 
	$(CC) $(CFLAGS) $(CINCLUDES)  $(CDEFINES) $(CTRGTFILE_SWITCH)zceCF_DevicePortHandler$(OBJ_EXT) ..$(PATH_SEP)zceCF_DevicePortHandler.cpp

zceCF_DeviceProvidesPort$(OBJ_EXT) : ..$(PATH_SEP)zceCF_DeviceProvidesPort.cpp ..$(PATH_SEP)zceCF_DeviceProvidesPort.h 
	$(CC) $(CFLAGS) $(CINCLUDES)  $(CDEFINES) $(CTRGTFILE_SWITCH)zceCF_DeviceProvidesPort$(OBJ_EXT) ..$(PATH_SEP)zceCF_DeviceProvidesPort.cpp

zceCF_DeviceUsesPort$(OBJ_EXT) : ..$(PATH_SEP)zceCF_DeviceUsesPort.cpp ..$(PATH_SEP)zceCF_DeviceUsesPort.h 
	$(CC) $(CFLAGS) $(CINCLUDES)  $(CDEFINES) $(CTRGTFILE_SWITCH)zceCF_DeviceUsesPort$(OBJ_EXT) ..$(PATH_SEP)zceCF_DeviceUsesPort.cpp


clean :
	$(DELETE_FILE) $(OBJS) *$(LIB_EXT) *.idb

# End-Of-File
#------------------------------------------------------------------------------
