#******************************************************************************
#
# Restricted Rights
# WARNING: This is a restricted distribution Zeligsoft file.
#
#******************************************************************************
#
# Copyright (C) 2006 Zeligsoft Inc. - All Rights Reserved
#
#******************************************************************************
#
#     FILE: PortMakefile.mk
#
#******************************************************************************


include $(CE_ROOT)/codegen/$(TARGET)/target.mk

IDL_SOURCE = /mnt/sda2/Projects/C++/WF/IDL

IDL_INCLUDES += $(INCLUDE_SWITCH)..$(PATH_SEP)..$(PATH_SEP)lib$(PATH_SEP)$(TARGET)

CINCLUDES += $(IDL_INCLUDES) $(INCLUDE_SWITCH)..$(PATH_SEP)..$(PATH_SEP)framework $(INCLUDE_SWITCH)..$(PATH_SEP)..$(PATH_SEP)framework$(PATH_SEP)$(TARGET)

CDEFINES += 

OBJS = zceCF_ResourcePortHandler$(OBJ_EXT) \
	zceCF_ResourceProvidesPort$(OBJ_EXT) \
	zceCF_ResourceUsesPort$(OBJ_EXT) 

all : $(LIB_PFX)CF_Resource$(LIB_EXT) 

$(LIB_PFX)CF_Resource$(LIB_EXT) : $(OBJS)
	$(AR) $(LIBFLAGS) $(LIBTRGTFILE_SWITCH)$(LIB_PFX)CF_Resource$(LIB_EXT) $(OBJS)

zceCF_ResourcePortHandler$(OBJ_EXT) : ..$(PATH_SEP)zceCF_ResourcePortHandler.cpp ..$(PATH_SEP)zceCF_ResourcePortHandler.h 
	$(CC) $(CFLAGS) $(CINCLUDES)  $(CDEFINES) $(CTRGTFILE_SWITCH)zceCF_ResourcePortHandler$(OBJ_EXT) ..$(PATH_SEP)zceCF_ResourcePortHandler.cpp

zceCF_ResourceProvidesPort$(OBJ_EXT) : ..$(PATH_SEP)zceCF_ResourceProvidesPort.cpp ..$(PATH_SEP)zceCF_ResourceProvidesPort.h 
	$(CC) $(CFLAGS) $(CINCLUDES)  $(CDEFINES) $(CTRGTFILE_SWITCH)zceCF_ResourceProvidesPort$(OBJ_EXT) ..$(PATH_SEP)zceCF_ResourceProvidesPort.cpp

zceCF_ResourceUsesPort$(OBJ_EXT) : ..$(PATH_SEP)zceCF_ResourceUsesPort.cpp ..$(PATH_SEP)zceCF_ResourceUsesPort.h 
	$(CC) $(CFLAGS) $(CINCLUDES)  $(CDEFINES) $(CTRGTFILE_SWITCH)zceCF_ResourceUsesPort$(OBJ_EXT) ..$(PATH_SEP)zceCF_ResourceUsesPort.cpp


clean :
	$(DELETE_FILE) $(OBJS) *$(LIB_EXT) *.idb

# End-Of-File
#------------------------------------------------------------------------------
