#ifndef CONSTANTS_H
#define CONSTANTS_H

//------------------------------------------------------
// Constants
//------------------------------------------------------
#define CONST_HEADER_DESTINATION_ID_SIZE 14
#define CONST_HEADER_APPLICATION_TYPE_SIZE 1
#define CONST_HEADER_QOS_SIZE 1
#define CONST_HEADER_REAL_DATA_LENGTH_SIZE 4 // Length of real data in data part
#define CONST_HEADER_SIZE (CONST_HEADER_DESTINATION_ID_SIZE + CONST_HEADER_APPLICATION_TYPE_SIZE + CONST_HEADER_QOS_SIZE + CONST_HEADER_REAL_DATA_LENGTH_SIZE)
#define CONST_DATA_SIZE 8192
#define CONST_PACKET_SIZE (CONST_HEADER_SIZE + CONST_DATA_SIZE)
#define CONST_FILL_CHAR "0"
#define CONST_CONFIG_FILE "/home/trwf/config.txt"
#define CONST_REQUIRED_CONFIG_COUNT 5 // Total number of config parameters in config file

#endif // CONSTANTS_H
