//******************************************************************************
//
// Restricted Rights
// WARNING: This is a restricted distribution Zeligsoft file.
//
//******************************************************************************
//
// Copyright (C) 2006 Zeligsoft Inc. - All Rights Reserved
//

//******************************************************************************
//
//     FILE: zceAbstractProvidesPort.h
//
//******************************************************************************

#ifndef __ZCEABSTRACTPROVIDESPORT_H
#define __ZCEABSTRACTPROVIDESPORT_H


#if defined(OS_WIN32)
#pragma warning(disable:4786)
#endif

#include <string>
#include "CF_s.h"

class zceAbstractProvidesPort : public virtual PortableServer::RefCountServantBase
{
	public:
		zceAbstractProvidesPort(const std::string name);

		void Destroy();

		virtual ~zceAbstractProvidesPort() = 0;

	protected:
		std::string         name_;
		volatile bool       destroyed_;
};

#endif     // __ZCEABSTRACTPROVIDESPORT_H

// End-Of-File
//------------------------------------------------------------------------------
