//******************************************************************************
//
// Restricted Rights
// WARNING: This is a restricted distribution Zeligsoft file.
//
//******************************************************************************
//
// Copyright (C) 2006 Zeligsoft Inc. - All Rights Reserved
//

//******************************************************************************
//
//     FILE: zceCPPUtilities.h
//
//******************************************************************************

#ifndef __ZCECPPUTILITIES_H
#define __ZCECPPUTILITIES_H


#if defined(OS_WIN32)
#pragma warning(disable:4786)
#endif

#include <string>
#include <sstream>
#include "zceOperatingEnvironment.h"
#include "zceOrbHeader.h"

template< typename T >
bool convert_from_string ( T& obj, const std::string& str )
{
	std::stringstream ss ( str );
	bool result = true;
	try
	{
		ss >> obj;
	}
	catch(...)
	{
	result = false;
	}

	return result;
}

#endif     // __ZCECPPUTILITIES_H

// End-Of-File
//------------------------------------------------------------------------------
