#******************************************************************************
#
# Restricted Rights
# WARNING: This is a restricted distribution Zeligsoft file.
#
#******************************************************************************
#
# Copyright (C) 2006 Zeligsoft Inc. - All Rights Reserved
#
#******************************************************************************
#
#     FILE: PortMakefile.mk
#
#******************************************************************************


include $(CE_ROOT)/codegen/$(TARGET)/target.mk

IDL_SOURCE = /mnt/sda2/Projects/C++/WF/IDL

IDL_INCLUDES += $(INCLUDE_SWITCH)..$(PATH_SEP)..$(PATH_SEP)lib$(PATH_SEP)$(TARGET)

CINCLUDES += $(IDL_INCLUDES) $(INCLUDE_SWITCH)..$(PATH_SEP)..$(PATH_SEP)framework $(INCLUDE_SWITCH)..$(PATH_SEP)..$(PATH_SEP)framework$(PATH_SEP)$(TARGET)

CDEFINES += 

OBJS = zcePushPorts_OctetSeqConsumerPortHandler$(OBJ_EXT) \
	zcePushPorts_OctetSeqConsumerProvidesPort$(OBJ_EXT) \
	zcePushPorts_OctetSeqConsumerUsesPort$(OBJ_EXT) 

all : $(LIB_PFX)PushPorts_OctetSeqConsumer$(LIB_EXT) 

$(LIB_PFX)PushPorts_OctetSeqConsumer$(LIB_EXT) : $(OBJS)
	$(AR) $(LIBFLAGS) $(LIBTRGTFILE_SWITCH)$(LIB_PFX)PushPorts_OctetSeqConsumer$(LIB_EXT) $(OBJS)

zcePushPorts_OctetSeqConsumerPortHandler$(OBJ_EXT) : ..$(PATH_SEP)zcePushPorts_OctetSeqConsumerPortHandler.cpp ..$(PATH_SEP)zcePushPorts_OctetSeqConsumerPortHandler.h 
	$(CC) $(CFLAGS) $(CINCLUDES)  $(CDEFINES) $(CTRGTFILE_SWITCH)zcePushPorts_OctetSeqConsumerPortHandler$(OBJ_EXT) ..$(PATH_SEP)zcePushPorts_OctetSeqConsumerPortHandler.cpp

zcePushPorts_OctetSeqConsumerProvidesPort$(OBJ_EXT) : ..$(PATH_SEP)zcePushPorts_OctetSeqConsumerProvidesPort.cpp ..$(PATH_SEP)zcePushPorts_OctetSeqConsumerProvidesPort.h 
	$(CC) $(CFLAGS) $(CINCLUDES)  $(CDEFINES) $(CTRGTFILE_SWITCH)zcePushPorts_OctetSeqConsumerProvidesPort$(OBJ_EXT) ..$(PATH_SEP)zcePushPorts_OctetSeqConsumerProvidesPort.cpp

zcePushPorts_OctetSeqConsumerUsesPort$(OBJ_EXT) : ..$(PATH_SEP)zcePushPorts_OctetSeqConsumerUsesPort.cpp ..$(PATH_SEP)zcePushPorts_OctetSeqConsumerUsesPort.h 
	$(CC) $(CFLAGS) $(CINCLUDES)  $(CDEFINES) $(CTRGTFILE_SWITCH)zcePushPorts_OctetSeqConsumerUsesPort$(OBJ_EXT) ..$(PATH_SEP)zcePushPorts_OctetSeqConsumerUsesPort.cpp


clean :
	$(DELETE_FILE) $(OBJS) *$(LIB_EXT) *.idb

# End-Of-File
#------------------------------------------------------------------------------
