//******************************************************************************
//
// Restricted Rights
// WARNING: This is a restricted distribution Zeligsoft file.
//
//******************************************************************************
//
// Copyright (C) 2006 Zeligsoft Inc. - All Rights Reserved
//

//******************************************************************************
//
//     FILE: zcePushPorts_OctetSeqConsumerPortHandler.h
//
//******************************************************************************

#ifndef __ZCEPUSHPORTS_OCTETSEQCONSUMERPORTHANDLER_H
#define __ZCEPUSHPORTS_OCTETSEQCONSUMERPORTHANDLER_H


#if defined(OS_WIN32)
#pragma warning(disable:4786)
#endif

#include "zceOperatingEnvironment.h"

#include <string>

#include "PushPorts.h"

class zcePushPorts_OctetSeqConsumerPortHandler
{
	public :
		virtual ~zcePushPorts_OctetSeqConsumerPortHandler() = 0;

		/*!	\brief
		 *
		 *	 Describe operation here.
		 * 
		 *	\param msg ( ::CF::OctetSequence ) 
		 * 
		 *	\param options ( ::CF::Properties ) 
		 * 
		 */
		virtual void PushPorts_OctetSeqConsumer_processOctetMsg( int portIdentifier, const CF::OctetSequence& msg, const CF::Properties& options ZCE_EXC_ENV_ARG ) = 0;


};
#endif     // __ZCEPUSHPORTS_OCTETSEQCONSUMERPORTHANDLER_H

// End-Of-File
//------------------------------------------------------------------------------
